Index: /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE/EXP00/iodef.xml
===================================================================
--- /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE/EXP00/iodef.xml	(revision 2034)
+++ /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE/EXP00/iodef.xml	(revision 2035)
@@ -133,5 +133,5 @@
 	<field id="utau"         description="Wind Stress along i-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="uoce"         description="ocean current along i-axis"                  unit="m/s"                  />
-	<field id="uoce_eff"     description="Effective ocean current along i-axis"        unit="m/s"                  />
+	<field id="uoce_eff"     description="Effective ocean transport along i-axis"      unit="m3/s"                 />
 	<!-- uoce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="uoce_eiv"     description="EIV ocean current along i-axis"              unit="m/s"                  />
@@ -150,5 +150,5 @@
 	<field id="vtau"         description="Wind Stress along j-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="voce"         description="ocean current along j-axis"                  unit="m/s"                  />
-	<field id="voce_eff"     description="Effective ocean current along j-axis"        unit="m/s"                  />
+	<field id="voce_eff"     description="Effective ocean transport along j-axis"      unit="m3/s"                 />
 	<!-- voce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="voce_eiv"     description="EIV ocean current along j-axis"              unit="m/s"                  />
@@ -166,5 +166,5 @@
       <group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
 	<field id="woce"         description="ocean vertical velocity"                     unit="m/s"                  />
-	<field id="woce_eff"     description="effective ocean vertical velocity"           unit="m/s"                  />
+	<field id="woce_eff"     description="effective ocean vertical transport"          unit="m3/s"                 />
 	<!-- woce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="woce_eiv"     description="EIV ocean vertical velocity"                 unit="m/s"                  />
Index: /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml
===================================================================
--- /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml	(revision 2034)
+++ /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml	(revision 2035)
@@ -133,5 +133,5 @@
 	<field id="utau"         description="Wind Stress along i-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="uoce"         description="ocean current along i-axis"                  unit="m/s"                  />
-	<field id="uoce_eff"     description="Effective ocean current along i-axis"        unit="m/s"                  />
+	<field id="uoce_eff"     description="Effective ocean transport along i-axis"      unit="m3/s"                  />
 	<!-- uoce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="uoce_eiv"     description="EIV ocean current along i-axis"              unit="m/s"                  />
@@ -150,5 +150,5 @@
 	<field id="vtau"         description="Wind Stress along j-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="voce"         description="ocean current along j-axis"                  unit="m/s"                  />
-	<field id="voce_eff"     description="Effective ocean current along j-axis"        unit="m/s"                  />
+	<field id="voce_eff"     description="Effective ocean transport along j-axis"      unit="m3/s"                  />
 	<!-- voce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="voce_eiv"     description="EIV ocean current along j-axis"              unit="m/s"                  />
@@ -166,5 +166,5 @@
       <group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
 	<field id="woce"         description="ocean vertical velocity"                     unit="m/s"                  />
-	<field id="woce_eff"     description="effective ocean vertical velocity"           unit="m/s"                  />
+	<field id="woce_eff"     description="effective ocean vertical transport"          unit="m3/s"                 />
 	<!-- woce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="woce_eiv"     description="EIV ocean vertical velocity"                 unit="m/s"                  />
Index: /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM/EXP00/iodef.xml
===================================================================
--- /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 2034)
+++ /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 2035)
@@ -133,5 +133,5 @@
 	<field id="utau"         description="Wind Stress along i-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="uoce"         description="ocean current along i-axis"                  unit="m/s"                  />
-	<field id="uoce_eff"     description="Effective ocean current along i-axis"        unit="m/s"                  />
+	<field id="uoce_eff"     description="Effective ocean transport along i-axis"      unit="m3/s"                  />
 	<!-- uoce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="uoce_eiv"     description="EIV ocean current along i-axis"              unit="m/s"                  />
@@ -150,5 +150,5 @@
 	<field id="vtau"         description="Wind Stress along j-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="voce"         description="ocean current along j-axis"                  unit="m/s"                  />
-	<field id="voce_eff"     description="Effective ocean current along j-axis"        unit="m/s"                  />
+	<field id="voce_eff"     description="Effective ocean transport along j-axis"      unit="m3/s"                  />
 	<!-- voce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="voce_eiv"     description="EIV ocean current along j-axis"              unit="m/s"                  />
@@ -166,5 +166,5 @@
       <group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
 	<field id="woce"         description="ocean vertical velocity"                     unit="m/s"                  />
-	<field id="woce_eff"     description="effective ocean vertical velocity"           unit="m/s"                  />
+	<field id="woce_eff"     description="effective ocean vertical transport"          unit="m3/s"                 />
 	<!-- woce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="woce_eiv"     description="EIV ocean vertical velocity"                 unit="m/s"                  />
Index: /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM/EXP00/iodef_ar5.xml
===================================================================
--- /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM/EXP00/iodef_ar5.xml	(revision 2034)
+++ /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM/EXP00/iodef_ar5.xml	(revision 2035)
@@ -133,5 +133,5 @@
 	<field id="utau"         description="Wind Stress along i-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="uoce"         description="ocean current along i-axis"                  unit="m/s"                  />
-	<field id="uoce_eff"     description="Effective ocean current along i-axis"        unit="m/s"                  />
+	<field id="uoce_eff"     description="Effective ocean transport along i-axis"      unit="m3/s"                 />
 	<!-- uoce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="uoce_eiv"     description="EIV ocean current along i-axis"              unit="m/s"                  />
@@ -150,5 +150,5 @@
 	<field id="vtau"         description="Wind Stress along j-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="voce"         description="ocean current along j-axis"                  unit="m/s"                  />
-	<field id="voce_eff"     description="Effective ocean current along j-axis"        unit="m/s"                  />
+	<field id="voce_eff"     description="Effective ocean transport along j-axis"      unit="m3/s"                  />
 	<!-- voce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="voce_eiv"     description="EIV ocean current along j-axis"              unit="m/s"                  />
@@ -166,5 +166,5 @@
       <group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
 	<field id="woce"         description="ocean vertical velocity"                     unit="m/s"                  />
-	<field id="woce_eff"     description="effective ocean vertical velocity"           unit="m/s"                  />
+	<field id="woce_eff"     description="effective ocean vertical transport"          unit="m3/s"                 />
 	<!-- woce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="woce_eiv"     description="EIV ocean vertical velocity"                 unit="m/s"                  />
Index: /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml
===================================================================
--- /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 2034)
+++ /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 2035)
@@ -133,5 +133,5 @@
 	<field id="utau"         description="Wind Stress along i-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="uoce"         description="ocean current along i-axis"                  unit="m/s"                  />
-	<field id="uoce_eff"     description="Effective ocean current along i-axis"        unit="m/s"                  />
+	<field id="uoce_eff"     description="Effective ocean transport along i-axis"      unit="m3/s"                 />
 	<!-- uoce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="uoce_eiv"     description="EIV ocean current along i-axis"              unit="m/s"                  />
@@ -150,5 +150,5 @@
 	<field id="vtau"         description="Wind Stress along j-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="voce"         description="ocean current along j-axis"                  unit="m/s"                  />
-	<field id="voce_eff"     description="Effective ocean current along j-axis"        unit="m/s"                  />
+	<field id="voce_eff"     description="Effective ocean tra,sport along j-axis"      unit="m3/s"                 />
 	<!-- voce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="voce_eiv"     description="EIV ocean current along j-axis"              unit="m/s"                  />
@@ -166,5 +166,5 @@
       <group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
 	<field id="woce"         description="ocean vertical velocity"                     unit="m/s"                  />
-	<field id="woce_eff"     description="effective ocean vertical velocity"           unit="m/s"                  />
+	<field id="woce_eff"     description="effective ocean vertical transport"          unit="m3/s"                 />
 	<!-- woce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="woce_eiv"     description="EIV ocean vertical velocity"                 unit="m/s"                  />