Index: /trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh	(revision 2039)
+++ /trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh	(revision 2040)
@@ -14,4 +14,7 @@
 MYO_EXP=xxx
 TSYMB=xxx
+USE_IOMPUT=xxx
+USE_IOSERVER=xxx
+NB_PROCS_IOSERVER=xxx
 
 # Variables changed by ins_valid.ksh script
@@ -107,4 +110,14 @@
 
 mv nam.tmp namelist
+
+# iom_put xml file
+if [ "${USE_IOMPUT}" = "true" ]
+then
+    get_namelist ${LOC_NAM} xmlio_server.def ${MYO_EXP} xmlio_server.def
+    get_namelist ${LOC_NAM} iodef.xml ${MYO_EXP} iodef.xml
+    sed -e "s/^ *using_server *=.*$/  using_server = .${USE_IOSERVER}./" xmlio_server.def > tmp$$
+    mv tmp$$ xmlio_server.def
+fi
+
 
 # Analytical forcing
@@ -219,7 +232,7 @@
 case ${RUN} in
 	'mon' | 'omp' )
-               liste_files=' *abort* memory* namelist* perfs* solver.stat ocean.output layout* GYRE* restart* mono*' ;;
+               liste_files=' *abort* memory* namelist* *xml* perfs* solver.stat ocean.output layout* GYRE* restart* mono*' ;;
 	'mpi' )
-               liste_files=' *abort* namelist* solver.stat perfs* ocean.output* layout* GYRE* restart* mpp*' ;;
+               liste_files=' *abort* namelist* *xml* solver.stat perfs* ocean.output* layout* GYRE* restart* mpp*' ;;
 esac
 
@@ -245,5 +258,5 @@
 ##############################################################
 ##############################################################
-if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' ]
+if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' -o ${REF_TAG} = 'nemo_v3_2' ]
 then
    STORE_DATA=${REF_OD}/${CONF}/${REF_TAG}/${RUN}/${DIROUT}
Index: /trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh	(revision 2039)
+++ /trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh	(revision 2040)
@@ -14,4 +14,8 @@
 MYO_EXP=xxx
 TSYMB=xxx
+USE_IOMPUT=xxx
+USE_IOSERVER=xxx
+NB_PROCS_IOSERVER=xxx
+
 
 # Variables changed by ins_valid.ksh script
@@ -128,4 +132,13 @@
 sed -e "s%$PAT_ADD%   nwritedia    = ${ITERATIONS}%" namelist_lobster > nam.tmp
 mv nam.tmp namelist_lobster
+
+# iom_put xml file
+if [ "${USE_IOMPUT}" = "true" ]
+then
+    get_namelist ${LOC_NAM} xmlio_server.def ${MYO_EXP} xmlio_server.def
+    get_namelist ${LOC_NAM} iodef.xml ${MYO_EXP} iodef.xml
+    sed -e "s/^ *using_server *=.*$/  using_server = .${USE_IOSERVER}./" xmlio_server.def > tmp$$
+    mv tmp$$ xmlio_server.def
+fi
 
 # Analytical forcing
@@ -253,7 +266,7 @@
 case ${RUN} in
 	'mon' | 'omp' )
-               liste_files=' *abort* memory* namelist* perfs* solver.stat ocean.output layout* GYRE* restart* mono*' ;;
+               liste_files=' *abort* memory* namelist* *xml* perfs* solver.stat ocean.output layout* GYRE* restart* mono*' ;;
 	'mpi' )
-               liste_files=' *abort* namelist* solver.stat perfs* ocean.output* layout* GYRE* restart* mpp*' ;;
+               liste_files=' *abort* namelist* *xml* solver.stat perfs* ocean.output* layout* GYRE* restart* mpp*' ;;
 esac
 
@@ -279,5 +292,5 @@
 ##############################################################
 ##############################################################
-if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' ]
+if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3'  -o ${REF_TAG} = 'nemo_v3_2' ]
 then
    STORE_DATA=${REF_OD}/${CONF}/${REF_TAG}/${RUN}/${DIROUT}
Index: /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh	(revision 2039)
+++ /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh	(revision 2040)
@@ -139,7 +139,7 @@
 
 # Get forcing files
-${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.1.tar ORCA2_LIM_nemo_v3.1.tar
-tar xvf ORCA2_LIM_nemo_v3.1.tar
-rm -f ORCA2_LIM_nemo_v3.1.tar
+${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.2.tar ORCA2_LIM_nemo_v3.2.tar
+tar xvf ORCA2_LIM_nemo_v3.2.tar
+rm -f ORCA2_LIM_nemo_v3.2.tar
 
 # Get restarts files if needed
@@ -310,5 +310,5 @@
 ##############################################################
 ##############################################################
-if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' ]
+if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' -o ${REF_TAG} = 'nemo_v3_2' ]
 then
    STORE_DATA=${REF_OD}/${CONF}/${REF_TAG}/${RUN}/${DIROUT}
Index: /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM3.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM3.ksh	(revision 2039)
+++ /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM3.ksh	(revision 2040)
@@ -135,7 +135,7 @@
 
 # Get forcing files
-${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.1.tar ORCA2_LIM_nemo_v3.1.tar
-tar xvf ORCA2_LIM_nemo_v3.1.tar
-rm -f ORCA2_LIM_nemo_v3.1.tar
+${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.2.tar ORCA2_LIM_nemo_v3.2.tar
+tar xvf ORCA2_LIM_nemo_v3.2.tar
+rm -f ORCA2_LIM_nemo_v3.2.tar
 
 # Get restarts files if needed
@@ -306,5 +306,5 @@
 ##############################################################
 ##############################################################
-if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' ]
+if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' -o ${REF_TAG} = 'nemo_v3_2' ]
 then
    STORE_DATA=${REF_OD}/${CONF}/${REF_TAG}/${RUN}/${DIROUT}
Index: /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh	(revision 2039)
+++ /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh	(revision 2040)
@@ -14,4 +14,8 @@
 MYO_EXP=xxx
 TSYMB=xxx
+USE_IOMPUT=xxx
+USE_IOSERVER=xxx
+NB_PROCS_IOSERVER=xxx
+
 
 # Variables changed by ins_valid.ksh script
@@ -159,8 +163,17 @@
 mv nam.tmp namelist_pisces
 
+# iom_put xml file
+if [ "${USE_IOMPUT}" = "true" ]
+then
+    get_namelist ${LOC_NAM} xmlio_server.def ${MYO_EXP} xmlio_server.def
+    get_namelist ${LOC_NAM} iodef.xml ${MYO_EXP} iodef.xml
+    sed -e "s/^ *using_server *=.*$/  using_server = .${USE_IOSERVER}./" xmlio_server.def > tmp$$
+    mv tmp$$ xmlio_server.def
+fi
+
 # Get forcing files
-${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.1.tar ORCA2_LIM_nemo_v3.1.tar
-tar xvf ORCA2_LIM_nemo_v3.1.tar
-rm -f ORCA2_LIM_nemo_v3.1.tar
+${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.2.tar ORCA2_LIM_nemo_v3.2.tar
+tar xvf ORCA2_LIM_nemo_v3.2.tar
+rm -f ORCA2_LIM_nemo_v3.2.tar
 
 # Get forcing pisces files
@@ -292,7 +305,7 @@
 case ${RUN} in
 	'mon' | 'omp' )
-               liste_files='*abort* memory* namelist* perfs* solver.stat ocean.output layout* ORCA2* restart* mono*' ;;
+               liste_files='*abort* memory* namelist* *xml* perfs* solver.stat ocean.output layout* ORCA2* restart* mono*' ;;
 	'mpi' )
-               liste_files='*abort* namelist* solver.stat perfs* ocean.output* layout* ORCA2* restart* mpp*' ;;
+               liste_files='*abort* namelist* *xml* solver.stat perfs* ocean.output* layout* ORCA2* restart* mpp*' ;;
 esac
 
@@ -318,5 +331,5 @@
 ##############################################################
 ##############################################################
-if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' ]
+if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' -o ${REF_TAG} = 'nemo_v3_2' ]
 then
    STORE_DATA=${REF_OD}/${CONF}/${REF_TAG}/${RUN}/${DIROUT}
Index: /trunk/NVTK/INSTALL/JOBS/job_ORCA2_OFF_PISCES.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_ORCA2_OFF_PISCES.ksh	(revision 2039)
+++ /trunk/NVTK/INSTALL/JOBS/job_ORCA2_OFF_PISCES.ksh	(revision 2040)
@@ -14,4 +14,8 @@
 MYO_EXP=xxx
 TSYMB=xxx
+USE_IOMPUT=xxx
+USE_IOSERVER=xxx
+NB_PROCS_IOSERVER=xxx
+
 
 # Variables changed by ins_valid.ksh script
@@ -134,4 +138,12 @@
 mv nam.tmp namelist_pisces
 
+# iom_put xml file
+if [ "${USE_IOMPUT}" = "true" ]
+then
+    get_namelist ${LOC_NAM} xmlio_server.def ${MYO_EXP} xmlio_server.def
+    get_namelist ${LOC_NAM} iodef.xml ${MYO_EXP} iodef.xml
+    sed -e "s/^ *using_server *=.*$/  using_server = .${USE_IOSERVER}./" xmlio_server.def > tmp$$
+    mv tmp$$ xmlio_server.def
+fi
 
 # Get forcing files
@@ -264,7 +276,7 @@
 case ${RUN} in
 	'mon' | 'omp' )
-               liste_files='*abort* memory* namelist* perfs* ocean.output layout* PISCES* restart* mono*' ;;
+               liste_files='*abort* memory* namelist* *xml* perfs* ocean.output layout* PISCES* restart* mono*' ;;
 	'mpi' )
-               liste_files='*abort* namelist* perfs* ocean.output* layout* PISCES* restart* mpp*' ;;
+               liste_files='*abort* namelist* *xml* perfs* ocean.output* layout* PISCES* restart* mpp*' ;;
 esac
 
@@ -290,5 +302,5 @@
 ##############################################################
 ##############################################################
-if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' ]
+if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' -o ${REF_TAG} = 'nemo_v3_2' ]
 then
    STORE_DATA=${REF_OD}/${CONF}/${REF_TAG}/${RUN}/${DIROUT}
Index: /trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh	(revision 2039)
+++ /trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh	(revision 2040)
@@ -14,4 +14,7 @@
 MYO_EXP=xxx
 TSYMB=xxx
+USE_IOMPUT=xxx
+USE_IOSERVER=xxx
+NB_PROCS_IOSERVER=xxx
 
 # Variables changed by ins_valid.ksh script
@@ -146,8 +149,17 @@
 done
 
+# iom_put xml file
+if [ "${USE_IOMPUT}" = "true" ]
+then
+    get_namelist ${LOC_NAM} xmlio_server.def ${MYO_EXP} xmlio_server.def
+    get_namelist ${LOC_NAM} iodef.xml ${MYO_EXP} iodef.xml
+    sed -e "s/^ *using_server *=.*$/  using_server = .${USE_IOSERVER}./" xmlio_server.def > tmp$$
+    mv tmp$$ xmlio_server.def
+fi
+
 # Get forcing files
-${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.1.tar ORCA2_LIM_nemo_v3.1.tar
-tar xvf ORCA2_LIM_nemo_v3.1.tar
-rm -f ORCA2_LIM_nemo_v3.1.tar
+${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.2.tar ORCA2_LIM_nemo_v3.2.tar
+tar xvf ORCA2_LIM_nemo_v3.2.tar
+rm -f ORCA2_LIM_nemo_v3.2.tar
 
 # Get restarts files if needed
@@ -267,7 +279,7 @@
 case ${RUN} in
 	'mon' | 'omp' )
-               liste_files=' *abort* memory* *namelist* perfs* solver.stat ocean.output 1_Agulhas* layout* ZAGRIF* restart* mono*' ;;
+               liste_files=' *abort* memory* *namelist* *xml* perfs* solver.stat ocean.output 1_Agulhas* layout* ZAGRIF* restart* mono*' ;;
 	'mpi' )
-               liste_files=' *abort* *namelist* solver.stat perfs* ocean.output* layout* 1_Agulhas* ZAGRIF* restart* mpp*' ;;
+               liste_files=' *abort* *namelist* *xml* solver.stat perfs* ocean.output* layout* 1_Agulhas* ZAGRIF* restart* mpp*' ;;
 esac
 
@@ -293,5 +305,5 @@
 ##############################################################
 ##############################################################
-if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' ]
+if [ ${REF_TAG} = 'nemo_v2' -o ${REF_TAG} = 'nemo_v2_3' -o ${REF_TAG} = 'nemo_v3' -o ${REF_TAG} = 'nemo_v3_2' ]
 then
    STORE_DATA=${REF_OD}/${CONF}/${REF_TAG}/${RUN}/${DIROUT}
Index: /trunk/NVTK/Makefile
===================================================================
--- /trunk/NVTK/Makefile	(revision 2039)
+++ /trunk/NVTK/Makefile	(revision 2040)
@@ -36,5 +36,5 @@
 #-
 #- Configurations list which must be tested
-LISTE_CONF = GYRE GYRE_LOBSTER ORCA2_LIM ORCA2_LIM3 ORCA2_LIM_PISCES ORCA2_OFF_PISCES
+LISTE_CONF = GYRE GYRE_LOBSTER ORCA2_LIM ORCA2_LIM3 ORCA2_LIM_PISCES ORCA2_OFF_PISCES ZAGRIF
 #-
 #- Jobs to launch use keyword: nojob, all, long, short or gtime
@@ -60,6 +60,6 @@
 MAK_MEMO = memo
 #-
-#- Experience name or reference Tag name (nemo_v2, nemo_v2_3 or nemo_v3)
-REF_TAGV = nemo_v3
+#- Experience name or reference Tag name (nemo_v2, nemo_v2_3 ,nemo_v3 or nemo_v3_2)
+REF_TAGV = nemo_v3_2
 #-
 #####################################################################