Index: /trunk/CONFIG/GYRE/scripts/BB_make
===================================================================
--- /trunk/CONFIG/GYRE/scripts/BB_make	(revision 2066)
+++ /trunk/CONFIG/GYRE/scripts/BB_make	(revision 2067)
@@ -7,4 +7,6 @@
 #          Check your compilers option in consequence when using real F95 compilers
 
+F_O += -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC)
+L_X = $(L_O)
 #-Q- platine # Compiler options NEMO (CCRT Itanium Bull) 
 #-Q- platine F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) 
Index: /trunk/CONFIG/GYRE/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/GYRE/scripts/BB_make.ldef	(revision 2066)
+++ /trunk/CONFIG/GYRE/scripts/BB_make.ldef	(revision 2067)
@@ -34,4 +34,5 @@
 #-
 #- Prefix for preprocessing ---
+prefix = -D
 #-Q- sx8mercure prefix = -D
 #-Q- sx9mercure prefix = -D
Index: /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make
===================================================================
--- /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make	(revision 2066)
+++ /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make	(revision 2067)
@@ -7,4 +7,6 @@
 #          Check your compilers option in consequence when using real F95 compilers
 
+F_O += -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC)
+L_X = $(L_O)
 #-Q- platine # Compiler options NEMO (CCRT Itanium Bull) 
 #-Q- platine F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) 
Index: /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make.ldef	(revision 2066)
+++ /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make.ldef	(revision 2067)
@@ -34,4 +34,5 @@
 #-
 #- Prefix for preprocessing ---
+prefix = -D
 #-Q- sx8mercure prefix = -D
 #-Q- sx9mercure prefix = -D
Index: /trunk/CONFIG/ORCA2_LIM/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 2066)
+++ /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 2067)
@@ -7,4 +7,6 @@
 #          Check your compilers option in consequence when using real F95 compilers
 
+F_O += -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) 
+L_X = $(L_O) 
 #-Q- platine # Compiler options NEMO (CCRT Itanium Bull) 
 #-Q- platine F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) 
Index: /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 2066)
+++ /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 2067)
@@ -34,4 +34,5 @@
 #-
 #- Prefix for preprocessing ---
+prefix = -D
 #-Q- sx8mercure prefix = -D
 #-Q- sx9mercure prefix = -D
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 2066)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 2067)
@@ -7,4 +7,6 @@
 #          Check your compilers option in consequence when using real F95 compilers
 
+F_O += -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC)
+L_X = $(L_O)
 #-Q- platine # Compiler options NEMO (CCRT Itanium Bull) 
 #-Q- platine F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) 
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make.ldef	(revision 2066)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make.ldef	(revision 2067)
@@ -34,4 +34,5 @@
 #-
 #- Prefix for preprocessing ---
+prefix = -D
 #-Q- sx8mercure prefix = -D
 #-Q- sx9mercure prefix = -D
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 2066)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 2067)
@@ -7,4 +7,6 @@
 #          Check your compilers option in consequence when using real F95 compilers
 
+F_O += -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC)
+L_X = $(L_O)
 #-Q- platine # Compiler options NEMO (CCRT Itanium Bull) 
 #-Q- platine F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) 
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make.ldef	(revision 2066)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make.ldef	(revision 2067)
@@ -34,4 +34,5 @@
 #-
 #- Prefix for preprocessing ---
+prefix = -D
 #-Q- sx8mercure prefix = -D
 #-Q- sx9mercure prefix = -D
Index: /trunk/CONFIG/POMME/scripts/BB_make
===================================================================
--- /trunk/CONFIG/POMME/scripts/BB_make	(revision 2066)
+++ /trunk/CONFIG/POMME/scripts/BB_make	(revision 2067)
@@ -7,4 +7,6 @@
 #          Check your compilers option in consequence when using real F95 compilers
 
+F_O += -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC)
+L_X = $(L_O)
 #-Q- platine # Compiler options NEMO (CCRT Itanium Bull) 
 #-Q- platine F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) 
Index: /trunk/CONFIG/POMME/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/POMME/scripts/BB_make.ldef	(revision 2066)
+++ /trunk/CONFIG/POMME/scripts/BB_make.ldef	(revision 2067)
@@ -34,4 +34,5 @@
 #-
 #- Prefix for preprocessing ---
+prefix = -D
 #-Q- sx8mercure prefix = -D
 #-Q- sx9mercure prefix = -D
Index: /trunk/UTIL/fait_AA_make
===================================================================
--- /trunk/UTIL/fait_AA_make	(revision 2066)
+++ /trunk/UTIL/fait_AA_make	(revision 2067)
@@ -230,4 +230,6 @@
 echo '#          Check your compilers option in consequence when using real F95 compilers'
 echo ''
+echo 'F_O += -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) '
+echo 'L_X = $(L_O) '
 echo '#-Q- platine # Compiler options NEMO (CCRT Itanium Bull) '
 echo '#-Q- platine F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) '