Index: branches/devmercator2010/NEMO/LIM_SRC_2/ice_2.F90
===================================================================
--- branches/devmercator2010/NEMO/LIM_SRC_2/ice_2.F90	(revision 2076)
+++ branches/devmercator2010/NEMO/LIM_SRC_2/ice_2.F90	(revision 2077)
@@ -5,5 +5,4 @@
    !!=====================================================================
    !! History :  2.0  !  03-08  (C. Ethe)  F90: Free form and module
-   !!            3.3  !  09-05 (G.Garric) addition of the lim2_evp cas
    !!----------------------------------------------------------------------
 #if defined key_lim2
@@ -26,5 +25,4 @@
    LOGICAL               , PUBLIC ::   ln_limdyn     = .TRUE.             !: flag for ice dynamics (T) or not (F)
    LOGICAL               , PUBLIC ::   ln_limdmp     = .FALSE.            !: Ice damping
-   LOGICAL               , PUBLIC ::   ln_nicep      = .TRUE.             !: flag for sea-ice points output (T) or not (F)
    REAL(wp)              , PUBLIC ::   hsndif        = 0.e0               !: computation of temp. in snow (0) or not (9999)
    REAL(wp)              , PUBLIC ::   hicdif        = 0.e0               !: computation of temp. in ice (0) or not (9999)
@@ -48,7 +46,5 @@
    REAL(wp), PUBLIC ::   ecc    = 2.e0      !: eccentricity of the elliptical yield curve
    REAL(wp), PUBLIC ::   ahi0   = 350.e0    !: sea-ice hor. eddy diffusivity coeff. (m2/s)
-   INTEGER , PUBLIC ::   nevp   =   360     !: number of EVP subcycling iterations
-   INTEGER , PUBLIC ::   telast =  3600     !: timescale for EVP elastic waves
-   REAL(wp), PUBLIC ::   alphaevp = 1.e0    !: coefficient for the solution of EVP int. stresses
+
    REAL(wp), PUBLIC ::   usecc2             !:  = 1.0 / ( ecc * ecc )
    REAL(wp), PUBLIC ::   rhoco              !: = rau0 * cw
@@ -56,31 +52,10 @@
    REAL(wp), PUBLIC ::   pstarh             !: pstar / 2.0
 
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ahiu , ahiv         !: hor. diffusivity coeff. at ocean U- and V-points (m2/s)
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   pahu , pahv         !: ice hor. eddy diffusivity coef. at ocean U- and V-points
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ust2s               !: friction velocity
-
-#if  defined key_lim2_vp
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hsnm , hicm         !: mean snow and ice thicknesses
-   CHARACTER(len=1), PUBLIC :: cl_grid =   'B'                   !: type of grid used in ice dynamics, 'C' or 'B'
-#else
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::                      &
-                                                   stress1_i ,  &!: first stress tensor element       
-                                                   stress2_i ,  &!: second stress tensor element
-                                                   stress12_i,  &!: diagonal stress tensor element
-                                                   delta_i   ,  &!: Delta factor for the ice rheology (see Flato and Hibler 95) [s-1] -> limrhg.F90
-                                                   divu_i    ,  &!: Divergence of the velocity field [s-1] -> limrhg.F90
-                                                   shear_i       !: Shear of the velocity field [s-1] -> limrhg.F90
-
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)         :: at_i          !:
-   REAL(wp), PUBLIC, DIMENSION(:,:)    ,POINTER :: vt_s ,vt_i    !: mean snow and ice thicknesses
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj),TARGET  :: hsnm , hicm   !: mean snow and ice thicknesses, target for pointers vt_s and vt_i 
-   CHARACTER(len=1), PUBLIC :: cl_grid =   'C'                   !: type of grid used in ice dynamics, 'C' or 'B'
-#endif
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ahiu , ahiv   !: hor. diffusivity coeff. at ocean U- and V-points (m2/s)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   pahu , pahv   !: ice hor. eddy diffusivity coef. at ocean U- and V-points
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hsnm , hicm   !: mean snow and ice thicknesses
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ust2s                 !: friction velocity
 
    !!* diagnostic quantities
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   rdvosif       !: Variation of volume at surface (only used for outputs)
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   rdvobif       !: Variation of ice volume at the bottom ice (only used for outputs)
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fdvolif       !: Total variation of ice volume (only used for outputs)
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   rdvonif       !: Lateral Variation of ice volume (only used for outputs)
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   sist          !: Sea-Ice Surface Temperature (Kelvin)
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   tfu           !: Freezing/Melting point temperature of sea water at SSS