Index: branches/DEV_r1784_GLS/DOC/TexFiles/Biblio/Biblio.bib
===================================================================
--- branches/DEV_r1784_GLS/DOC/TexFiles/Biblio/Biblio.bib	(revision 2055)
+++ branches/DEV_r1784_GLS/DOC/TexFiles/Biblio/Biblio.bib	(revision 2080)
@@ -85,4 +85,6 @@
 
 @STRING{Tellus = {Tellus}}
+
+@STRING{RGSP = {Rev. Geophys. Space Phys.}
 
 @ARTICLE{Adcroft_Campin_OM04,
@@ -523,4 +525,15 @@
 }
 
+@ARTICLE{Canuto_2001,
+  author = {V. M. Canuto and A. Howard and Y. Cheng and M. S. Dubovikov},
+  title = {Ocean turbulence. PartI: One-point closure model-momentum and heat vertical diffusivities},
+  journal = JPO,
+  year = {2001},
+  volume = {24, 12},
+  pages = {2546-2559},
+  owner = {gr},
+  timestamp = {2010.09.09}
+}
+
 @ARTICLE{Cox1987,
   author = {M. Cox},
@@ -532,4 +545,15 @@
   owner = {gm},
   timestamp = {2007.08.03}
+}
+
+@ARTICLE{Craig_Banner_1994,
+  author = {P. D. Banner and M. L. Banner},
+  title = {Modeling wave-enhanced turbulence in the ocean surface layer},
+  journal = JPO,
+  year = {1994},
+  volume = {24, 12},
+  pages = {2546-2559},
+  owner = {g5},
+  timestamp = {2010.09.09}
 }
 
@@ -705,4 +729,15 @@
   owner = {gm},
   timestamp = {2007.08.04}
+}
+
+@ARTICLE{Galperin_1988,
+  author = {B. Galperin and L. H. Kantha and S. Hassid and A. Rosati},
+  title = {A quasi-equilibrium turbulent energy model for geophysical flows},
+  journal = JAS,
+  year = {1988},
+  volume = {45},
+  pages = {55-62},
+  owner = {gr},
+  timestamp = {2010.09.09}
 }
 
@@ -1083,4 +1118,15 @@
   owner = {gm},
   timestamp = {2008.08.31}
+}
+
+@ARTICLE{Kantha_Clayson_1994,
+  author = {L. H. Kantha and C. A. Clayson},
+  title = {An improved mixed layer model for geophysical applications},
+  journal = JGR,
+  year = {1994},
+  volume = {99},
+  pages = {25235-25266},
+  owner = {gr},
+  timestamp = {2010.09.09}
 }
 
@@ -1584,4 +1630,15 @@
 }
 
+@ARTICLE{Mellor_Yamada_1982,
+  author = {G. L. Mellor and T. Yamada},
+  title = {Development of a turbulence closure model for geophysical fluid problems},
+  journal = RGSP,
+  year = {1982},
+  volume = {20},
+  pages = {851-875},
+  owner = {gr},
+  timestamp = {2010.09.09}
+}
+
 @ARTICLE{Merryfield1999,
   author = {W. J. Merryfield and G. Holloway and A. E. Gargett},
@@ -1791,4 +1848,15 @@
   owner = {gm},
   timestamp = {2007.08.04}
+}
+
+@ARTICLE{Rodi_1987,
+  author = {W. Rodi},
+  title = {Examples of calculation methods for flow and mixing in stratified fluids},
+  journal = JGR,
+  year = {1987},
+  volume = {92, C5},
+  pages = {5305-5328},
+  owner = {gr},
+  timestamp = {2010.09.09}
 }
 
@@ -2214,4 +2282,16 @@
 }
 
+@ARTICLE{Umlauf_Burchard_2003,
+  author = {L. Umlauf and H. Burchard},
+  title = {A generic length-scale equation for geophysical turbulence models},
+  journal = {Journal of Marine Systems}, 
+  year = {2003},
+  volume = {61},
+  pages = {235-265},
+  number = {2},
+  owner = {gr},
+  timestamp = {2010.09.09}
+}
+
 @BOOK{UNESCO1983,
   title = {Algorithms for computation of fundamental property of sea water},
@@ -2308,4 +2388,15 @@
   owner = {gm},
   timestamp = {2007.08.04}
+}
+
+@ARTICLE{Wilcox_1988,
+  author = {D. C. Wilcox},
+  title = {Reassessment of the scale-determining equation for advanced turbulence models},
+  journal = {AIAA journal},
+  year = {1988},
+  volume = {26, 11},
+  pages = {1299-1310},
+  owner = {gr},
+  timestamp = {2010.09.09}
 }
 
Index: branches/DEV_r1784_GLS/DOC/TexFiles/Chapters/Chap_ZDF.tex
===================================================================
--- branches/DEV_r1784_GLS/DOC/TexFiles/Chapters/Chap_ZDF.tex	(revision 2055)
+++ branches/DEV_r1784_GLS/DOC/TexFiles/Chapters/Chap_ZDF.tex	(revision 2080)
@@ -233,4 +233,70 @@
 
 % -------------------------------------------------------------------------------------------------------------
+%        GLS Generic Length Scale Scheme 
+% -------------------------------------------------------------------------------------------------------------
+\subsection{GLS Generic Length Scale (\key{zdfgls})}
+\label{ZDF_gls}
+
+%--------------------------------------------namgls---------------------------------------------------------
+\namdisplay{namgls}
+%--------------------------------------------------------------------------------------------------------------
+
+The model allows to resolve two prognostic equations for turbulent 
+kinetic energy $\bar {e}$ and a generic length scale \citep{Umlauf_Burchard_2003}. Thanks to the latter, commonly 
+used closures can be retrieved: $k-kl$ \citep{Mellor_Yamada_1982}, $k-{\epsilon }$ \citep{Rodi_1987} and $k-{\omega }$ 
+\citep{Wilcox_1988}. These equations could be written in a generic form with the incorporation 
+of a new variable : ${\psi} = (C^{0}_{\mu})^{p} \ {\bar{e}}^{m} \ l^{n}$.
+
+\begin{equation} \label{Eq_zdfgls_e}
+\frac{\partial \bar{e}}{\partial t} = 
+\frac{A^{vm}}{{\sigma_e} {e_3} }\;\left[ {\left( {\frac{\partial u}{\partial k}} \right)^2
+                                                        +\left( {\frac{\partial v}{\partial k}} \right)^2} \right]
+-A^{vT}\,N^2
++\frac{1}{e_3}  \;\frac{\partial }{\partial k}\left[ {\frac{A^{vm}}{e_3 }
+                                \;\frac{\partial \bar{e}}{\partial k}} \right]
+- \epsilon \;
+\end{equation}
+
+\begin{equation} \label{Eq_zdfgls_psi}
+\frac{\partial \psi}{\partial t} = \frac{\psi}{\bar{e}} 
+(\frac{{C_1}A^{vm}}{{\sigma_{\psi}} {e_3} }\;\left[ {\left( {\frac{\partial u}{\partial k}} \right)^2
+                                                        +\left( {\frac{\partial v}{\partial k}} \right)^2} \right]
+-{C_3}A^{vT}\,N^2- C_2{\epsilon}Fw) 
++\frac{1}{e_3}  \;\frac{\partial }{\partial k}\left[ {\frac{A^{vm}}{e_3 }
+                                \;\frac{\partial \psi}{\partial k}} \right]\;
+\end{equation}
+
+\begin{equation} \label{Eq_zdfgls_kz}
+   \begin{split}
+         A^{vm} &= C_{\mu} \ \sqrt {\bar{e}} \ l         \\
+         A^{vT} &= C_{\mu'}\ \sqrt {\bar{e}} \ l
+   \end{split}
+\end{equation}
+
+\begin{equation} \label{Eq_zdfgls_eps}
+{\epsilon} = (C^{0}_{\mu}) \frac{\bar {e}^{3/2}}{l} \;
+\end{equation}
+where $N$ is the local Brunt-Vais\"{a}l\"{a} frequency (see \S\ref{TRA_bn2}) and $\epsilon$ the dissipation rate.
+In function of the parameters k, m and n, common turbulent closure could be retrieved.
+The constants C1, C2, C3, ${\sigma_e}$, ${\sigma_{\psi}}$ and the wall function (Fw) depends of the choice of the turbulence model.
+%>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+\begin{figure}[!h]
+\centering
+\includegraphics[scale=0.7]{./TexFiles/Figures/tabgls.png}
+\caption {Values of the parameters in function of the model of turbulence.}
+\label{tabgls}
+\end{figure}
+%>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+
+About the Mellor-Yamada model, the negativity of n allows to use a wall function to force
+the convergence of the mixing length towards Kzb (K: Kappa and zb: rugosity length) value
+near physical boundaries (logarithmic boundary layer law). $C_{\mu}$ and $C_{\mu'}$ are calculated from stability functions 
+of \citet{Galperin_1988}, \citet{Kantha_Clayson_1994} or \citet{Canuto_2001}.
+$C^{0}_{\mu}$ depends of the choice of the stability function.
+
+The boundary condition at the surface and the bottom could be calculated thanks to Diriclet or Neumann condition.
+The wave effect on the mixing could be also being considered \citep{Craig_Banner_1994}.
+
+-------------------------------------------------------------------------------------------------------------
 %        K Profile Parametrisation (KPP) 
 % -------------------------------------------------------------------------------------------------------------
@@ -247,16 +313,4 @@
 \colorbox{yellow}{Add a description of KPP here.}
 
-% -------------------------------------------------------------------------------------------------------------
-%        GLS Vertical scheme
-% -------------------------------------------------------------------------------------------------------------
-\subsection{Generic length-scale equation model of Umlauf and Burchard (2003) (\key{zdfgls}) }
-\label{ZDF_gls}
-
-%--------------------------------------------namgls--------------------------------------------------------
-\namdisplay{namgls}
-%--------------------------------------------------------------------------------------------------------------
-The model allows to resolve two prognostic equations for turbulent kinetic energy and a generic length scale. 
-
-\colorbox{yellow}{More explanations, with equations, will come soon. }
 
 % ================================================================