Index: /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE/EXP00/iodef.xml
===================================================================
--- /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE/EXP00/iodef.xml	(revision 2104)
+++ /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE/EXP00/iodef.xml	(revision 2105)
@@ -232,11 +232,4 @@
 
       <group id="2d" output_freq="172800" output_level="10" enabled=".TRUE.">                      <!-- 2d files -->
-
-        <file id="2d_grid_T" name="auto" description="ocean T grid variables" >
-          <field ref="sst"          name="sosstsst"  />
-	  <field ref="sss"          name="sosaline"  />
-	  <field ref="ssh"          name="sossheig"  />
-        </file>
-
       </group>
 
Index: /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml
===================================================================
--- /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml	(revision 2104)
+++ /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml	(revision 2105)
@@ -272,18 +272,4 @@
 
       <group id="2d" output_freq="172800" output_level="10" enabled=".TRUE.">                      <!-- 2d files -->
-
-        <file id="2d_grid_T" name="auto" description="ocean T grid variables" >
-          <field ref="sst"          name="sosstsst"  />
-          <field ref="sss"          name="sosaline"  />
-          <field ref="ssh"          name="sossheig"  />
-        </file>
-
-       <file id="2d_ptrc_T" name="auto" description="lobster sms variables" >
-         <field ref="ZOO"      />
-         <field ref="PHY"      />
-         <field ref="NO3"      />
-       </file>
-
-
       </group>
 
Index: /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE_LOBSTER/EXP00/namelist_top
===================================================================
--- /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE_LOBSTER/EXP00/namelist_top	(revision 2104)
+++ /branches/DEV_r2006_merge_TRA_TRC/CONFIG/GYRE_LOBSTER/EXP00/namelist_top	(revision 2105)
@@ -51,5 +51,5 @@
    ln_trcldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
 !                               !  Coefficient
-   ahtrb0      =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
+   rn_ahtrb_0       =     0.    !     background eddy diffusivity for ldf_iso [m2/s]
 /
 !-----------------------------------------------------------------------
Index: /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces
===================================================================
--- /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 2104)
+++ /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces	(revision 2105)
@@ -115,5 +115,5 @@
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    ln_dustfer  =  .true.   ! boolean for dust input from the atmosphere
-   ln_river    =  .false.  ! boolean for river input of nutrients
+   ln_river    =  .true.  ! boolean for river input of nutrients
    ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
    ln_sedinput =  .true.   ! boolean for Fe input from sediments
Index: /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
===================================================================
--- /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 2104)
+++ /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 2105)
@@ -732,6 +732,6 @@
 &namdyn        !   offline parameters
 !-----------------------------------------------------------------------
-    ndtadyn   =  12        ! number of period in the file for one year
-    ndtatot   =  12        ! total number of period in the file    
+    ndtadyn   =  73        ! number of period in the file for one year
+    ndtatot   =  73        ! total number of period in the file    
     nsptint   =  1         ! indicator for time interpolation    
     lperdyn   = .true.     ! periodicity of the unique file (T)
Index: /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces
===================================================================
--- /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 2104)
+++ /branches/DEV_r2006_merge_TRA_TRC/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces	(revision 2105)
@@ -115,5 +115,5 @@
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    ln_dustfer  =  .true.   ! boolean for dust input from the atmosphere
-   ln_river    =  .false.   ! boolean for river input of nutrients
+   ln_river    =  .true.   ! boolean for river input of nutrients
    ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
    ln_sedinput =  .true.   ! boolean for Fe input from sediments